<?php


return  
    [
        'model' => [
            'model' => \Litecms\Campaign\Models\Campaign::class,
            'table' => 'litecms_campaign_campaigns',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'offplan_id',  'name',  'type',  'status',  'automatic_assign',  'direct_assign',  'direct_assign_expiry',  'assigned_id',  'start_date',  'end_date',  'budget',  'team'],
            'translatables' => [],
            'upload_folder' => 'campaign/campaign',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offplan_id", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.offplan_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "automatic_assign", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.automatic_assign', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "direct_assign", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.direct_assign', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "direct_assign_expiry", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.direct_assign_expiry', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assigned_id", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.assigned_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "start_date", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "end_date", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "budget", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.budget', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team", 
                "type" => "text", 
                "label" => 'campaign::campaign.label.team', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'campaign::campaign.label.ref',
                "placeholder" => 'campaign::campaign.placeholder.ref',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offplan_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.offplan_id',
                "placeholder" => 'campaign::campaign.placeholder.offplan_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'campaign::campaign.label.name',
                "placeholder" => 'campaign::campaign.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'campaign::campaign.label.type',
                "placeholder" => 'campaign::campaign.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'automatic_assign',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.automatic_assign',
                "placeholder" => 'campaign::campaign.placeholder.automatic_assign',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'direct_assign',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.direct_assign',
                "placeholder" => 'campaign::campaign.placeholder.direct_assign',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'direct_assign_expiry',
                "element" => 'text',
                "type" => 'text',
                "label" => 'campaign::campaign.label.direct_assign_expiry',
                "placeholder" => 'campaign::campaign.placeholder.direct_assign_expiry',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assigned_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.assigned_id',
                "placeholder" => 'campaign::campaign.placeholder.assigned_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'campaign::campaign.label.start_date',
                "placeholder" => 'campaign::campaign.placeholder.start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'campaign::campaign.label.end_date',
                "placeholder" => 'campaign::campaign.placeholder.end_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'budget',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.budget',
                "placeholder" => 'campaign::campaign.placeholder.budget',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'campaign::campaign.label.team',
                "placeholder" => 'campaign::campaign.placeholder.team',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'campaign/campaign/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'campaign/campaign/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'campaign/campaign',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'campaign/campaign',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'campaign/campaign',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'campaign/campaign',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'campaign::campaign.label.created_at',
            'name' => 'campaign::campaign.label.name',
            'status' => 'campaign::campaign.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "campaign::campaign.groups.main",
                'key' => "main",
                'title' => "campaign::campaign.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "campaign::campaign.groups.details",
                'key' => "documents",
                'title' => "campaign::campaign.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "campaign::campaign.groups.images",
                'key' => "documents",
                'title' => "campaign::campaign.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "campaign::campaign.groups.settings",
                'key' => "documents",
                'title' => "campaign::campaign.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Campaign',
            'module' => 'Campaign',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Campaign\Models\Campaign::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'campaign::campaign.label.count',
                                "placeholder" => 'campaign::campaign.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'campaign::campaign.label.comment',
                                "placeholder" => 'campaign::campaign.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'campaign::campaign.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['campaign.campaign.copy', 'campaign.campaign.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'campaign::campaign.label.count',
                        "placeholder" => 'campaign::campaign.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'campaign::campaign.label.comment',
                        "placeholder" => 'campaign::campaign.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'campaign::campaign.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
