<?php

namespace Litecms\Campaign\Seeders;

use DB;
use Illuminate\Database\Seeder;

class CampaignTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_campaign_campaigns')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.campaign.campaign.view',
                'name'      => 'View Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.create',
                'name'      => 'Create Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.edit',
                'name'      => 'Update Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.delete',
                'name'      => 'Delete Campaign',
            ],
            
                        [
                'slug'      => 'litecms.campaign.campaign.verify',
                'name'      => 'Verify Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.approve',
                'name'      => 'Approve Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.publish',
                'name'      => 'Publish Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.unpublish',
                'name'      => 'Unpublish Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.cancel',
                'name'      => 'Cancel Campaign',
            ],
            [
                'slug'      => 'litecms.campaign.campaign.archive',
                'name'      => 'Archive Campaign',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/campaign/campaign',
                'name'        => 'Campaign',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/campaign/campaign',
                'name'        => 'Campaign',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'campaign',
                'name'        => 'Campaign',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Campaign',
                'module'    => 'Campaign',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.campaign.campaign.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
