<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for campaign in campaign package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  campaign module in campaign package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Campaign',
    'names' => 'Campaigns',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Campaigns',
        'sub' => 'Campaigns'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'offplan_id'                 => 'Please enter offplan id',
        'name'                       => 'Please enter name',
        'type'                       => 'Please enter type',
        'status'                     => 'Please enter status',
        'automatic_assign'           => 'Please enter automatic assign',
        'direct_assign'              => 'Please enter direct assign',
        'direct_assign_expiry'        => 'Please enter direct assign expiry',
        'assigned_id'                => 'Please enter assigned id',
        'start_date'                 => 'Please select start date',
        'end_date'                   => 'Please select end date',
        'budget'                     => 'Please enter budget',
        'team'                       => 'Please enter team',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'offplan_id'                 => 'Offplan id',
        'name'                       => 'Name',
        'type'                       => 'Type',
        'status'                     => 'Status',
        'automatic_assign'           => 'Automatic assign',
        'direct_assign'              => 'Direct assign',
        'direct_assign_expiry'        => 'Direct assign expiry',
        'assigned_id'                => 'Assigned id',
        'start_date'                 => 'Start date',
        'end_date'                   => 'End date',
        'budget'                     => 'Budget',
        'team'                       => 'Team',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
