<?php

namespace Litecms\Campaign\Actions;

use Illuminate\Http\Request;
use Litecms\Campaign\Models\Campaign;
use Litepie\Actions\Concerns\AsAction;
use Illuminate\Support\Str;

class CampaignWorkflow
{
    use AsAction;

    public function handle(Request $request, Campaign $campaign, string $transition)
    {
        $this->model = $campaign;
        $campaign->workflow()->apply($campaign, $transition);
        $transition = Str::camel($transition);
        return $this->$transition($campaign);
    }

    public function submit()
    {
        $this->model->status = 'Pending';
        $this->model->save();
        return $this->model;
    }

    public function approve()
    {
        $this->model->status = 'Approved';
        $this->model->save();
        return $this->model;
    }

    public function reject()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }

    public function publish()
    {
        $this->model->status = 'Published';
        $this->model->save();
        return $this->model;
    }

    public function unpublish()
    {
        $this->model->status = 'Unpublished';
        $this->model->save();
        return $this->model;
    }

    public function archive()
    {
        $this->model->status = 'Archived';
        $this->model->save();
        return $this->model;
    }

    public function unarchive()
    {
        $this->model->status = 'Draft';
        $this->model->save();
        return $this->model;
    }
}
