<?php

namespace Litecms\Campaign\Policies;

use Litecms\Campaign\Models\Campaign;
use Litepie\User\Interfaces\UserPolicyInterface;

trait CampaignAction
{

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('campaign.campaign.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Campaign $campaign) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('campaign.campaign.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('campaign.campaign.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Campaign $campaign)
    {


        if ($authUser->canDo('campaign.campaign.action.delete')) {
            return true;
        }

        return false;
    }


}
