<?php


namespace Litecms\Campaign\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CampaignReport
{

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('campaign.campaign.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('campaign.campaign.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('campaign.campaign.report.download')) {
            return true;
        }

        return false;
    }
}
