<?php

namespace Litecms\Campaign\Policies;

use Litecms\Campaign\Models\Campaign;
use Litepie\User\Interfaces\UserPolicyInterface;

trait CampaignWorkflow
{

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function approve(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function submit(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function publish(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unpublish(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function archive(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unarchive(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given campaign.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function reject(UserPolicyInterface $authUser, Campaign $campaign)
    {
        if ($authUser->canDo('campaign.campaign.reject')) {
            return true;
        }

        return false;
    }

}
